# Uses of Class
org.eclipse.swt.widgets.Label

Packages that use Label
Package
Description
org.eclipse.compare
Provides support for performing structural and textual compare operations on arbitrary data and displaying the results.
org.eclipse.help.ui.internal
org.eclipse.jface.dialogs
Provides support for dialogs.
org.eclipse.jface.preference
Provides a framework for preferences.
org.eclipse.jface.viewers
Provides a framework for viewers, which are model-based content adapters for SWT widgets.
org.eclipse.jface.window
Provides a general framework for creating and managing windows.
org.eclipse.jface.wizard
Provides a framework for wizards.
org.eclipse.ui.dialogs
Classes for standard dialogs, wizards, and preference pages in the Eclipse Platform User Interface.
org.eclipse.ui.forms.widgets
Custom widgets and controls for forms-based parts.

## Uses of Label in org.eclipse.compare

Methods in org.eclipse.compare that return Label
Modifier and Type
Method
Description
`Label`
LabelContributionItem.`getToolbarLabel()`

## Uses of Label in org.eclipse.help.ui.internal

Methods in org.eclipse.help.ui.internal that return Label
Modifier and Type
Method
Description
`Label`
HyperlinkLabel.`getLabel()`

## Uses of Label in org.eclipse.jface.dialogs

Fields in org.eclipse.jface.dialogs declared as Label
Modifier and Type
Field
Description
`protected Label`
IconAndMessageDialog.`imageLabel`
Return the label for the image.
`protected Label`
IconAndMessageDialog.`messageLabel`
Message label is the label the message is shown on.
`protected Label`
ProgressMonitorDialog.`subTaskLabel`
The label control for the subtask.
`protected Label`
ProgressMonitorDialog.`taskLabel`
The label control for the task.
Methods in org.eclipse.jface.dialogs that return Label
Modifier and Type
Method
Description
`protected Label`
AbstractSelectionDialog.`createMessageArea(Composite composite)`
Creates the message area for this dialog.
`protected Label`
InputDialog.`getErrorMessageLabel()`
Deprecated, for removal: This API element is subject to removal in a future version.
use setErrorMessage(String) instead
`protected Label`
TitleAreaDialog.`getTitleImageLabel()`
Returns the title image label.

## Uses of Label in org.eclipse.jface.preference

Methods in org.eclipse.jface.preference that return Label
Modifier and Type
Method
Description
`protected Label`
PreferencePage.`createDescriptionLabel(Composite parent)`
Creates and returns an SWT label under the given composite.
`protected Label`
FieldEditor.`getLabelControl()`
Returns the label control.
`Label`
FieldEditor.`getLabelControl(Composite parent)`
Returns this field editor's label component.
`protected Label`
FontFieldEditor.`getValueControl(Composite parent)`
Returns the value control for this field editor.

## Uses of Label in org.eclipse.jface.viewers

Methods in org.eclipse.jface.viewers that return Label
Modifier and Type
Method
Description
`protected Label`
DialogCellEditor.`getDefaultLabel()`
Returns the default label widget created by `createContents`.

## Uses of Label in org.eclipse.jface.window

Fields in org.eclipse.jface.window declared as Label
Modifier and Type
Field
Description
`protected Label`
ApplicationWindow.`seperator1`
The seperator between the menu bar and the rest of the window.
Methods in org.eclipse.jface.window that return Label
Modifier and Type
Method
Description
`protected Label`
ApplicationWindow.`getSeperator1()`
Return the top seperator.

## Uses of Label in org.eclipse.jface.wizard

Fields in org.eclipse.jface.wizard declared as Label
Modifier and Type
Field
Description
`protected Label`
ProgressMonitorPart.`fLabel`
the label

## Uses of Label in org.eclipse.ui.dialogs

Methods in org.eclipse.ui.dialogs that return Label
Modifier and Type
Method
Description
`protected Label`
WizardDataTransferPage.`createBoldLabel(Composite parent, String text)`
Creates a new label with a bold font.
`protected Label`
TwoPaneElementSelector.`createLabel(Composite parent, String name)`
Creates a label if name was not `null`.
`protected Label`
AbstractElementListSelectionDialog.`createMessageArea(Composite composite)`
Creates the message text widget and sets layout data.
`protected Label`
SelectionDialog.`createMessageArea(Composite composite)`
Creates the message area for this dialog.
`protected Label`
WizardDataTransferPage.`createPlainLabel(Composite parent, String text)`
Creates a new label with a bold font.

## Uses of Label in org.eclipse.ui.forms.widgets

Methods in org.eclipse.ui.forms.widgets that return Label
Modifier and Type
Method
Description
`Label`
FormToolkit.`createLabel(Composite parent, String text)`
Creates a label as a part of the form.
`Label`
FormToolkit.`createLabel(Composite parent, String text, int style)`
Creates a label as a part of the form.
`Label`
FormToolkit.`createSeparator(Composite parent, int style)`
Creates a separator label as a part of the form.